#include "defines.h"
#include "aigs.h"

void puttext(int sx,int sy,unchar *work)
{
unint c,wx,wy;
	c=curmode(0); /* カーソルＯＦＦ */
	
	wx=*((short *)work);
	wy=*((short *)(work+sizeof(short)));
	
	_tpsub(textadrs0(sx,sy),work+sizeof(short)*2,wx,wy);
	
	curmode(c); /* カーソルＯＮ */
}
